## python-dsinternals 1.2.4+git20230301.edb3fc8

=== Makefile ===
.PHONY : all clean build upload

BASEDIR=./pydsinternals

all: install

clean:
	@rm -rf `find ./ -type d -name "*__pycache__"`
	@rm -rf ./build/ ./dist/ ./dsinternals.egg-info/

install:
	python3 setup.py install
build:
	python3 setup.py sdist bdist_wheel

upload:
	python3 setup.py sdist upload

=== requirements.txt ===
pyopenssl
pycryptodomex

=== debian/changelog ===
python-dsinternals (1.2.4+git20230301.edb3fc8-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali

  [ Arnaud Rebillout ]
  * Update watch file
  * Initial commit on orphan branch
  * New upstream version 1.2.4+git20230301.edb3fc8
  * Misc packaging updates
  * Add basic testing

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 01 Mar 2023 16:57:52 +0700

python-dsinternals (1.2.4+git20220411-0kali1) kali-dev; urgency=medium

  * Initial release
  * Update maintainers to Kali Developers

 -- Joseph O'Gorman <gamb1t@kali.org>  Mon, 11 Apr 2022 23:37:15 -0400

=== debian/control ===
Source: python-dsinternals
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Joseph O'Gorman <gamb1t@kali.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-openssl,
	       python3-pycryptodome,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/p0dalirius/pydsinternals
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-dsinternals
Vcs-Git: https://gitlab.com/kalilinux/packages/python-dsinternals.git

Package: python3-dsinternals
Architecture: all
Depends: python3-openssl,
         python3-pycryptodome,
         ${misc:Depends},
         ${python3:Depends},
Description: Library to interact with Windows AD
 A Python native library containing necessary classes,
 functions and structures to interact with Windows
 Active Directory.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = dsinternals

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m unittest
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
opts="mode=git, pretty=1.2.4+git%cd.%h, pgpmode=none" \
  https://github.com/p0dalirius/pydsinternals HEAD

# We want some fixes from the master branch. The project seems pretty dormant,
# we're more likely to get fixes if we track Git HEAD.
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pydsinternals-$1\.tar\.gz/ \
#  https://github.com/p0dalirius/pydsinternals/tags .*/v?(\d\S+)\.tar\.gz
